Bug 1139867 - gupnp-av and gupnp-dlna are missing .vapi and .deps files
Summary: gupnp-av and gupnp-dlna are missing .vapi and .deps files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gupnp-av
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-09 21:01 UTC by Brendan Long
Modified: 2014-09-23 04:31 UTC (History)
2 users (show)

Fixed In Version: gupnp-av-0.12.6-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:31:55 UTC


Attachments (Terms of Use)

Description Brendan Long 2014-09-09 21:01:57 UTC
This is the same issue as bug #1093204.

gupnp-av should come with gupnp-av-1.0.deps and gupnp-av-1.0.vapi.

gupnp-dlna should come with gupnp-dlna-2.0.deps and vapi, plus gupnp-dlna-gst-2.0.deps and vapi.

All of these files go in /usr/share/vala/vapi

These files are needed to build Rygel for example.

Comment 1 Fedora Update System 2014-09-10 16:30:19 UTC
gupnp-av-0.12.6-5.fc21,gupnp-dlna-0.10.2-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gupnp-av-0.12.6-5.fc21,gupnp-dlna-0.10.2-6.fc21

Comment 2 Fedora Update System 2014-09-11 14:36:26 UTC
Package gupnp-av-0.12.6-5.fc21, gupnp-dlna-0.10.2-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gupnp-av-0.12.6-5.fc21 gupnp-dlna-0.10.2-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10673/gupnp-av-0.12.6-5.fc21,gupnp-dlna-0.10.2-6.fc21
then log in and leave karma (feedback).

Comment 3 Brendan Long 2014-09-15 15:52:41 UTC
I would test this, but I'm on Fedora 20.. :\

Comment 4 Fedora Update System 2014-09-23 04:31:55 UTC
gupnp-av-0.12.6-5.fc21, gupnp-dlna-0.10.2-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.